{
  "type": "excalidraw",
  "version": 2,
  "source": "https://marketplace.visualstudio.com/items?itemName=pomdtr.excalidraw-editor",
  "elements": [
    {
      "id": "BvRfpT9PjW_kUUdvObdR9",
      "type": "rectangle",
      "x": 317.68227586078217,
      "y": 21.402330304546183,
      "width": 465,
      "height": 321.3300850001507,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "Zk",
      "roundness": {
        "type": 3
      },
      "seed": 467384635,
      "version": 404,
      "versionNonce": 1581802647,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "8f_An-rVCtARCKwSZoIV4",
          "type": "arrow"
        },
        {
          "id": "x0lwULhMubeLUVOa6O4ih",
          "type": "arrow"
        }
      ],
      "updated": 1761499527003,
      "link": null,
      "locked": false
    },
    {
      "id": "TRtVdpoV_NOQ-qsmW09e0",
      "type": "ellipse",
      "x": 286.67235317036096,
      "y": 415.6092509858377,
      "width": 36.95467760734998,
      "height": 36.95467760734998,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ff8787",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "wvD2kNRQoysgyxXzxuzsp",
        "745dcUVv3aUf7RtT1KSVs"
      ],
      "frameId": null,
      "index": "adV",
      "roundness": {
        "type": 2
      },
      "seed": 1455488885,
      "version": 458,
      "versionNonce": 1710764511,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761407908697,
      "link": null,
      "locked": false
    },
    {
      "id": "tmH4m73j5WW8pHBBOI4Bv",
      "type": "line",
      "x": 316.10472787513515,
      "y": 425.552255502421,
      "width": 21.910072165110847,
      "height": 17.068668489108013,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "wvD2kNRQoysgyxXzxuzsp",
        "745dcUVv3aUf7RtT1KSVs"
      ],
      "frameId": null,
      "index": "ae",
      "roundness": {
        "type": 2
      },
      "seed": 1840990421,
      "version": 939,
      "versionNonce": 316601535,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761407915686,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -8.706103536176816,
          2.211447728639211
        ],
        [
          -13.49529754416707,
          14.76503254112443
        ],
        [
          -21.910072165110847,
          17.068668489108013
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "kcqSHeGWTqe6KZjzCVSC4",
      "type": "text",
      "x": 266.64969189146393,
      "y": 462.8413993636826,
      "width": 77,
      "height": 25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "745dcUVv3aUf7RtT1KSVs"
      ],
      "frameId": null,
      "index": "aeV",
      "roundness": null,
      "seed": 1091990677,
      "version": 94,
      "versionNonce": 888446463,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761407908697,
      "link": null,
      "locked": false,
      "text": "Sigmoid",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Sigmoid",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "7qoqBkK6gVieRbV8EToZl",
      "type": "ellipse",
      "x": 378.0453325617842,
      "y": 414.6092509858376,
      "width": 36.95467760734998,
      "height": 36.95467760734998,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#4dabf7",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "aOpgR8QyQUAjPqasEmQlo",
        "XEQMCq17zjM41_Dx_qnWo"
      ],
      "frameId": null,
      "index": "aet",
      "roundness": {
        "type": 2
      },
      "seed": 1330797243,
      "version": 619,
      "versionNonce": 1610484823,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761499403488,
      "link": null,
      "locked": false
    },
    {
      "id": "suFKRIN8uF122NSn30dMS",
      "type": "line",
      "x": 407.4777072665584,
      "y": 424.5522555024209,
      "width": 21.910072165110847,
      "height": 17.068668489108013,
      "angle": 0,
      "strokeColor": "#1971c2",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "aOpgR8QyQUAjPqasEmQlo",
        "XEQMCq17zjM41_Dx_qnWo"
      ],
      "frameId": null,
      "index": "afG",
      "roundness": {
        "type": 2
      },
      "seed": 458050395,
      "version": 1052,
      "versionNonce": 804833433,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761499403488,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -8.706103536176816,
          2.211447728639211
        ],
        [
          -13.49529754416707,
          14.76503254112443
        ],
        [
          -21.910072165110847,
          17.068668489108013
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "GO2D3EA313jC9ecSgXBud",
      "type": "text",
      "x": 374.5226706757072,
      "y": 461.8413993636826,
      "width": 44,
      "height": 25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "XEQMCq17zjM41_Dx_qnWo"
      ],
      "frameId": null,
      "index": "afV",
      "roundness": null,
      "seed": 1090608725,
      "version": 229,
      "versionNonce": 808266491,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "text": "Tanh",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Tanh",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "HpVKNXnaUd8xv8l6pdqzO",
      "type": "rectangle",
      "x": 482.6926382165823,
      "y": 414.60925098583766,
      "width": 36.834694887845565,
      "height": 36.954677607349936,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "RrSslmuhUEKuDii00e0xn",
        "l2oL-HC8LAPgBJ6b417H7"
      ],
      "frameId": null,
      "index": "agG",
      "roundness": {
        "type": 3
      },
      "seed": 1971832309,
      "version": 508,
      "versionNonce": 1893995419,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false
    },
    {
      "id": "r4NoXLf3sO-YDKa50QslL",
      "type": "line",
      "x": 501.109985613547,
      "y": 421.7559010746902,
      "width": 0,
      "height": 22.006395402723488,
      "angle": 0,
      "strokeColor": "#ffffff",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "RrSslmuhUEKuDii00e0xn",
        "l2oL-HC8LAPgBJ6b417H7"
      ],
      "frameId": null,
      "index": "agV",
      "roundness": {
        "type": 2
      },
      "seed": 1155874645,
      "version": 481,
      "versionNonce": 401926203,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          22.006395402723488
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "f1xmsiP259yZuCDaQy1qp",
      "type": "line",
      "x": 490.7195163296394,
      "y": 432.6413493623804,
      "width": 20.255886677506805,
      "height": 0,
      "angle": 0,
      "strokeColor": "#ffffff",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "RrSslmuhUEKuDii00e0xn",
        "l2oL-HC8LAPgBJ6b417H7"
      ],
      "frameId": null,
      "index": "ah",
      "roundness": {
        "type": 2
      },
      "seed": 822906037,
      "version": 485,
      "versionNonce": 457320667,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          20.255886677506805,
          0
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "T8gRUpC-mm09IeRbMeJI5",
      "type": "text",
      "x": 440.60998549109365,
      "y": 461.8413993636826,
      "width": 121,
      "height": 50,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "l2oL-HC8LAPgBJ6b417H7"
      ],
      "frameId": null,
      "index": "ahV",
      "roundness": null,
      "seed": 1251177717,
      "version": 332,
      "versionNonce": 274617723,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "text": "elementwise\naddition",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "elementwise\naddition",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "iCGzeMHrpb7vExYfihHkT",
      "type": "rectangle",
      "x": 622.8903820305533,
      "y": 414.6092509858377,
      "width": 36.834694887845565,
      "height": 36.954677607349936,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "Gq1ksJ_f5CIC5zOLHCmql",
        "uMGht35akwzElNzuf0hnr"
      ],
      "frameId": null,
      "index": "aiG",
      "roundness": {
        "type": 3
      },
      "seed": 1287030299,
      "version": 657,
      "versionNonce": 915140123,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false
    },
    {
      "id": "eVKv94LYi5iiWSsPT9ij8",
      "type": "line",
      "x": 634.0199189380354,
      "y": 425.6089091138003,
      "width": 14.066587970490785,
      "height": 14.066587970490785,
      "angle": 0,
      "strokeColor": "#ffffff",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "Gq1ksJ_f5CIC5zOLHCmql",
        "uMGht35akwzElNzuf0hnr"
      ],
      "frameId": null,
      "index": "aiV",
      "roundness": {
        "type": 2
      },
      "seed": 1708460731,
      "version": 729,
      "versionNonce": 1086157499,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          14.066587970490785,
          14.066587970490785
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "5oWViCgSlLX47lwpEO2Au",
      "type": "line",
      "x": 633.7352253767157,
      "y": 439.88422558761357,
      "width": 15.12939683937231,
      "height": 15.129396839372362,
      "angle": 0,
      "strokeColor": "#ffffff",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "Gq1ksJ_f5CIC5zOLHCmql",
        "uMGht35akwzElNzuf0hnr"
      ],
      "frameId": null,
      "index": "aj",
      "roundness": {
        "type": 2
      },
      "seed": 771357531,
      "version": 703,
      "versionNonce": 1603625819,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          15.12939683937231,
          -15.129396839372362
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "SRy9npjArGtL16qtPO1RA",
      "type": "text",
      "x": 564.307729160136,
      "y": 461.8413993636826,
      "width": 154,
      "height": 50,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "uMGht35akwzElNzuf0hnr"
      ],
      "frameId": null,
      "index": "ajV",
      "roundness": null,
      "seed": 1360302837,
      "version": 415,
      "versionNonce": 191250427,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "text": "elementwise\nmultiplication",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "elementwise\nmultiplication",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "CHFB_QOmG1udCdcn65GOX",
      "type": "arrow",
      "x": 778.7886147759878,
      "y": 413.53046362621956,
      "width": 57.358340647712,
      "height": 22.892286374512935,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "G3qxU1fUg6EE66VnVkyTM",
        "iDk1L2MZwkXHOjJGIHtAx"
      ],
      "frameId": null,
      "index": "ak",
      "roundness": null,
      "seed": 207905173,
      "version": 434,
      "versionNonce": 238192795,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          20.075419226699182,
          0
        ],
        [
          20.075419226699182,
          22.892286374512935
        ],
        [
          57.358340647712,
          22.892286374512935
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            20.07541922669918,
            0
          ],
          "end": [
            20.07541922669918,
            22.892286374512935
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "WdvcNwm21UoE3qqhWyQ3I",
      "type": "arrow",
      "x": 776.7401026099981,
      "y": 456.8327402623464,
      "width": 59.816555246899725,
      "height": 19.85836890319193,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "G3qxU1fUg6EE66VnVkyTM",
        "iDk1L2MZwkXHOjJGIHtAx"
      ],
      "frameId": null,
      "index": "al",
      "roundness": null,
      "seed": 1637053077,
      "version": 441,
      "versionNonce": 1303166267,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          20.894824093095043,
          0
        ],
        [
          20.894824093095043,
          -19.85836890319193
        ],
        [
          59.816555246899725,
          -19.85836890319193
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            20.894824093095043,
            0
          ],
          "end": [
            20.894824093095043,
            -19.85836890319193
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "-xVtAn6dHx0uzp3Hze7cP",
      "type": "text",
      "x": 735.1483802167539,
      "y": 461.84139967062384,
      "width": 143,
      "height": 50,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "iDk1L2MZwkXHOjJGIHtAx"
      ],
      "frameId": null,
      "index": "am",
      "roundness": null,
      "seed": 387078267,
      "version": 233,
      "versionNonce": 1429691867,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "text": "vector \nconcatenation",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "vector \nconcatenation",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "QPn305uLUWYRHf89v9ZML",
      "type": "text",
      "x": 421.48235539049153,
      "y": -104.57113125298308,
      "width": 257.39984130859375,
      "height": 45,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "ao",
      "roundness": null,
      "seed": 1670401461,
      "version": 128,
      "versionNonce": 2048340921,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761499532039,
      "link": null,
      "locked": false,
      "text": "Standard Cell",
      "fontSize": 36,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Standard Cell",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "7ah541-5vMZeETR5tVd7r",
      "type": "ellipse",
      "x": 513.4216972504339,
      "y": 185.1577954051454,
      "width": 36.95467760734998,
      "height": 36.95467760734998,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#4dabf7",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "b2XRDwuuiKUh0rLJSiQz0",
        "AjE557Sqwmql5UDJuS9oD"
      ],
      "frameId": null,
      "index": "b1E",
      "roundness": {
        "type": 2
      },
      "seed": 631847897,
      "version": 711,
      "versionNonce": 1300143255,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "ijVaEdvT9_RvRGo3Rc0Ws",
          "type": "arrow"
        },
        {
          "id": "WSaBMrXS1cKryiRlnWy0b",
          "type": "arrow"
        },
        {
          "id": "gaHODdhAneiKJmeJS9qbp",
          "type": "arrow"
        }
      ],
      "updated": 1761499507407,
      "link": null,
      "locked": false
    },
    {
      "id": "Ms0p3zQJeOIwldh-I3Z7A",
      "type": "line",
      "x": 542.854071955208,
      "y": 195.1007999217287,
      "width": 21.910072165110847,
      "height": 17.068668489108013,
      "angle": 0,
      "strokeColor": "#1971c2",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "b2XRDwuuiKUh0rLJSiQz0",
        "AjE557Sqwmql5UDJuS9oD"
      ],
      "frameId": null,
      "index": "b1F",
      "roundness": {
        "type": 2
      },
      "seed": 1822841017,
      "version": 1141,
      "versionNonce": 477204087,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761499438059,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -8.706103536176816,
          2.211447728639211
        ],
        [
          -13.49529754416707,
          14.76503254112443
        ],
        [
          -21.910072165110847,
          17.068668489108013
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "ijVaEdvT9_RvRGo3Rc0Ws",
      "type": "arrow",
      "x": 377.39903605410893,
      "y": 375.1351342088204,
      "width": 154.39999999999998,
      "height": 148.02266119632498,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b1G",
      "roundness": null,
      "seed": 538623769,
      "version": 63,
      "versionNonce": 2095195609,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761499488751,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -70.5
        ],
        [
          154.39999999999998,
          -70.5
        ],
        [
          154.39999999999998,
          -148.02266119632498
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "elementId": "7ah541-5vMZeETR5tVd7r",
        "fixedPoint": [
          0.4972939826166932,
          1.1353008691653572
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            0,
            -70.5
          ],
          "end": [
            154.39999999999998,
            -70.5
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "WSaBMrXS1cKryiRlnWy0b",
      "type": "arrow",
      "x": 232.89903605410893,
      "y": 74.63513420882038,
      "width": 298.9,
      "height": 228.5,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b1H",
      "roundness": null,
      "seed": 1667134713,
      "version": 131,
      "versionNonce": 55955673,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761499615883,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          145,
          0
        ],
        [
          145,
          228.5
        ],
        [
          298.9,
          228.5
        ],
        [
          298.9,
          152.47733880367502
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "elementId": "7ah541-5vMZeETR5tVd7r",
        "fixedPoint": [
          0.4972939826166932,
          1.1353008691653572
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            145,
            0
          ],
          "end": [
            145,
            228.5
          ]
        },
        {
          "index": 3,
          "start": [
            145,
            228.5
          ],
          "end": [
            298.9,
            228.5
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "gaHODdhAneiKJmeJS9qbp",
      "type": "arrow",
      "x": 531.7990360541089,
      "y": 180.1577954051454,
      "width": 332.6,
      "height": 104.52266119632503,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b1I",
      "roundness": null,
      "seed": 758334361,
      "version": 260,
      "versionNonce": 1890930327,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761499619806,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -104.52266119632503
        ],
        [
          332.6,
          -104.52266119632503
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "7ah541-5vMZeETR5tVd7r",
        "fixedPoint": [
          0.4972939826166932,
          -0.1353008691653568
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "x0lwULhMubeLUVOa6O4ih",
      "type": "arrow",
      "x": 712.3990360541089,
      "y": 75.63513420882038,
      "width": 0,
      "height": 123,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b1J",
      "roundness": null,
      "seed": 1753793017,
      "version": 39,
      "versionNonce": 489089911,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761499527003,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -123
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "BvRfpT9PjW_kUUdvObdR9",
        "focus": 0.6977064954551685,
        "gap": 14
      },
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": false
    },
    {
      "id": "H9WFRskZbPwlvdMfBQkwk",
      "type": "text",
      "x": 800.8990360541089,
      "y": 45.635134208820375,
      "width": 11,
      "height": 25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b1K",
      "roundness": null,
      "seed": 32424537,
      "version": 28,
      "versionNonce": 735692761,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761499575694,
      "link": null,
      "locked": false,
      "text": "h",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "h",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "droZv9UJ7O0ft1fwih4ZX",
      "type": "text",
      "x": 723.3990360541089,
      "y": -25.364865791179625,
      "width": 11,
      "height": 25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b1L",
      "roundness": null,
      "seed": 94860919,
      "version": 19,
      "versionNonce": 364090681,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761499591544,
      "link": null,
      "locked": false,
      "text": "y",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "y",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "YYpjjWvfxhj7IvHpbHSvF",
      "type": "text",
      "x": 387.39903605410893,
      "y": 356.1351342088204,
      "width": 11,
      "height": 25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b1M",
      "roundness": null,
      "seed": 170140889,
      "version": 17,
      "versionNonce": 1610700759,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761499572167,
      "link": null,
      "locked": false,
      "text": "x",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "x",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "63OKsVWz1ZPK2GD3yfG8c",
      "type": "text",
      "x": 256.39903605410893,
      "y": 37.635134208820375,
      "width": 11,
      "height": 25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b1N",
      "roundness": null,
      "seed": 628051671,
      "version": 29,
      "versionNonce": 406297463,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761499599461,
      "link": null,
      "locked": false,
      "text": "h",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "h",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "9kM51gDa4bB3PbuNDFxKh",
      "type": "text",
      "x": 272.39903605410893,
      "y": 50.635134208820375,
      "width": 26.39996337890625,
      "height": 20,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b1O",
      "roundness": null,
      "seed": 2083530871,
      "version": 39,
      "versionNonce": 1966966871,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761499562101,
      "link": null,
      "locked": false,
      "text": "t-1",
      "fontSize": 16,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "t-1",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "GNDwpME206Up8cQoWcVDm",
      "type": "text",
      "x": 399.89903605410893,
      "y": 366.1351342088204,
      "width": 8.79998779296875,
      "height": 20,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b1P",
      "roundness": null,
      "seed": 1867872857,
      "version": 59,
      "versionNonce": 1205224695,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761499572167,
      "link": null,
      "locked": false,
      "text": "t",
      "fontSize": 16,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "t",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "MM9l9vfEKEXO6nsik7YMU",
      "type": "text",
      "x": 812.9990421576246,
      "y": 54.135134208820375,
      "width": 8.79998779296875,
      "height": 20,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b1Q",
      "roundness": null,
      "seed": 1649089655,
      "version": 126,
      "versionNonce": 605899609,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761499582960,
      "link": null,
      "locked": false,
      "text": "t",
      "fontSize": 16,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "t",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "nq4I8_-8uXdBGoDUoPkGN",
      "type": "text",
      "x": 734.9990421576246,
      "y": -10.364865791179625,
      "width": 8.79998779296875,
      "height": 20,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b1R",
      "roundness": null,
      "seed": 325087479,
      "version": 102,
      "versionNonce": 283018777,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761499591544,
      "link": null,
      "locked": false,
      "text": "t",
      "fontSize": 16,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "t",
      "autoResize": true,
      "lineHeight": 1.25
    }
  ],
  "appState": {
    "gridSize": 20,
    "gridStep": 5,
    "gridModeEnabled": false,
    "viewBackgroundColor": "#ffffff"
  },
  "files": {}
}